package com.ruoyi.cms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.ruoyi.common.core.domain.entity.Company;
import org.apache.ibatis.annotations.Param;

/**
 * 公司Mapper接口
 * @author lishundong
 * @date 2024-09-04
 */
public interface CompanyMapper extends BaseMapper<Company>
{
    /**
     * 查询公司列表
     * 
     * @param company 公司
     * @return 公司集合
     */
    public List<Company> selectCompanyList(Company company);

    void batchInsert(List<Company> companyBatch);

    void updateJobCountOfCompany();

    List<Company> label(@Param("companyNature") String companyNature, @Param("targ")String targ,@Param("companyName")String companyName);

    List<Company> selectLikeCompanyList(Company company);

    Company selectCompanyByJobId(Long jobId);
}
